Bug 205848 - OO Impress dies when displaying
OO Impress dies when displaying
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: 206264 206794 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-09-08 19:30 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0.4-4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-22 08:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Powerpoint file which crashes OO Impress (261.50 KB, application/vnd.ms-powerpoint)
2006-09-09 08:06 EDT, Paul F. Johnson
no flags Details
valgrind output (5.29 KB, text/plain)
2006-09-10 10:58 EDT, Paul F. Johnson
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 69639 None None None Never

  None (edit)
Description Paul F. Johnson 2006-09-08 19:30:48 EDT
Description of problem:
OOo loads a powerpoint file, but dies when you try to display it

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Load a ppt file
2. Press f9 to start the display
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nv_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-20-x86_64 libgcj-4.1.1-20-i386
(V)    kernel is: Linux 2.6.17-1.2608.fc6 #1 SMP Thu Aug 31 05:56:04 EDT 2006
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-3.1-x86_64
(VII)  accessibility is: false
(VIII) fedora release is: Fedora Core release 5.91 (FC6 Test2)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab509000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab70d000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabc01000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabf03000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac186000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac394000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6e2000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
0xae7c2698: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36698
0xae7c311b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3711b
0xde630200: /lib64/libc.so.6 + 0x30200
0xb6f05481: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so + 0x56481
0xb6ee2093: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x33093 (X11SalGraphics::Init(X11SalVirtualDevice*, SalColormap*, bool) + 0xd3)
0xb6ee2362: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x33362 (X11SalInstance::CreateVirtualDevice(SalGraphics*, long, long, unsigned
short, SystemGraphicsData const*) + 0xb2)
0xac5df348: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x17c348
0xac5df698: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x17c698
(VirtualDevice::VirtualDevice(SystemGraphicsData const*, unsigned short) + 0x68)
0xc6e3bc06: /usr/lib64/openoffice.org2.0/program/cairocanvas.uno.so + 0x3ac06
0xc6e3ca81: /usr/lib64/openoffice.org2.0/program/cairocanvas.uno.so + 0x3ba81
0xc6e2d044: /usr/lib64/openoffice.org2.0/program/cairocanvas.uno.so + 0x2c044
0xb1ee058f: /usr/lib64/openoffice.org2.0/program/libcppcanvas680lx.so + 0x4158f
0xb1eca0a4: /usr/lib64/openoffice.org2.0/program/libcppcanvas680lx.so + 0x2b0a4
(cppcanvas::internal::ImplRenderer::draw() const + 0x64)
0xc6984398: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x14a398
0xc6984711: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x14a711
0xc6985e9d: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x14be9d
0xc6904ced: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0xcaced
0xc6927123: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0xed123
0xc6929fbb: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0xeffbb
0xc69512e3: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x1172e3
0xc6955423: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x11b423
0xc688cfaa: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x52faa
0xc689129a: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x5729a
0xc6891b7b: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x57b7b
0xc689b914: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x61914
0xc6897394: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x5d394
0xc68c77e1: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0x8d7e1
0xc68e7cb8: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0xadcb8
0xc69318ad: /usr/lib64/openoffice.org2.0/program/slideshow.uno.so + 0xf78ad
0xab1669eb: /usr/lib64/openoffice.org2.0/program/libsd680lx.so + 0x45b9eb
0xac531a20: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xcea20
(Timer::ImplTimerCallbackProc() + 0x80)
0xb6a491a0: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x161a0
0xe3a2d44b: /lib64/libglib-2.0.so.0 + 0x2d44b
0xe3a2cf44: /lib64/libglib-2.0.so.0 + 0x2cf44 (g_main_context_dispatch + 0x1b4)
0xe3a2fd7d: /lib64/libglib-2.0.so.0 + 0x2fd7d
0xe3a302ae: /lib64/libglib-2.0.so.0 + 0x302ae (g_main_context_iteration + 0x6e)
0xb6a4aab5: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x17ab5
0xac52bd11: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8d11
(Application::Yield(bool) + 0x51)
0xac52bdaa: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8daa
(Application::Execute() + 0x2a)
0xaaad8d65: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2bd65
(desktop::Desktop::Main() + 0x15a5)
0xac5314d9: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce4d9
0xac5315c5: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce5c5
(SVMain() + 0x25)
0xaaacbd86: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x1ed86
(sal_main + 0x46)
0xde61da44: /lib64/libc.so.6 + 0x1da44 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/simpress.bin + 0x619

Expected results:

Additional info:
Comment 1 Caolan McNamara 2006-09-09 07:58:24 EDT
My small sample .ppt worked on x86_64, could you attach a known crasher .ppt to
this issue for me ?
Comment 2 Paul F. Johnson 2006-09-09 08:06:22 EDT
Created attachment 135903 [details]
Powerpoint file which crashes OO Impress
Comment 3 Paul F. Johnson 2006-09-09 08:14:01 EDT
Also happening on i386 - changed the arch to reflect this
Comment 4 Caolan McNamara 2006-09-09 09:25:30 EDT
Didn't crash for me, perhaps there's a double free or some other not always
fatal problem. I'll valgrind it when i get a chance
Comment 5 Paul F. Johnson 2006-09-09 15:46:55 EDT
Load it, press F9.

It also happens when you use the document converter to convert ppt files
Comment 6 Paul F. Johnson 2006-09-10 10:58:38 EDT
Created attachment 135931 [details]
valgrind output

From the looks of the valgrind output, it looks possible that it's a glib
Comment 7 Caolan McNamara 2006-09-11 10:07:33 EDT
*Possibly* related to http://qa.openoffice.org/issues/show_bug.cgi?id=68978
where I've a patch which touches the method seen in the patch, but if so it
would likely be another hidden bug uncovered by that fix. It'll sadly be friday
before I get back to try and reproduce this.
Comment 8 Caolan McNamara 2006-09-15 06:35:14 EDT
*** Bug 206264 has been marked as a duplicate of this bug. ***
Comment 9 Caolan McNamara 2006-09-18 04:42:45 EDT
*** Bug 206794 has been marked as a duplicate of this bug. ***
Comment 10 Caolan McNamara 2006-09-18 04:46:50 EDT
Do you guys share something that I don't ?
e.g. non-24bit display ? or display through vnc or something ?
Comment 11 Kjartan Maraas 2006-09-18 08:43:25 EDT
Laptop here with radeon mobility running 1064x768x16bit
Comment 12 Caolan McNamara 2006-09-18 09:15:46 EDT
Good man, that's the one. 16bit is why I didn't see it
Comment 13 Caolan McNamara 2006-09-18 10:02:08 EDT
el bizarro code, fix checked in
Comment 14 Bryan Christ 2006-10-05 11:30:17 EDT
Fixed worked for me.
Comment 15 Xiaohong Wang 2006-10-15 04:38:04 EDT
Verified no crash in openoffice-2.0.4-4.2 when playing slides

Note You need to log in before you can comment on or make changes to this bug.